/*******************************************************************************
 * FoxAIAction_Melee generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxAIAction_Melee extends FoxAIAction
    native(AI)
    editinlinenew
    hidecategories(Object);

var() float RangeOverride;
var() bool bFollowDuringMelee;

// Export UFoxAIAction_Melee::execInitialize(FFrame&, void* const)
native function bool Initialize();

// Export UFoxAIAction_Melee::execTick(FFrame&, void* const)
native function Tick(float DeltaTime);

// Export UFoxAIAction_Melee::execCleanup(FFrame&, void* const)
native function Cleanup();

defaultproperties
{
    bFollowDuringMelee=true
    StateString="Melee"
}